import API from "../api"



export default class ServiceAPI{
    static getSMH(smhinr){
        return API.get("",{params:{action:'getsmh',smhinr}})
    }
    static getBIC(biccod,bicnam)
    {
        let data = {}
        if(biccod)
            data.biccod = biccod
        if(bicnam)
            data.bicnam = bicnam
        return API.get("",{params:{action:'getbic',...data}})
    }
    static getBIC_JZ(biccod,bicnam)
    {
        let data = {}
        if(biccod)
            data.biccod = biccod
        if(bicnam)
            data.bicnam = bicnam
        return API.get("",{params:{action:'getbic_jz',...data}})
    }
    static saveMessage(data)  //拼接好的报文相关数据
    {
        return API.post("",{params:{action:'savsf2'},data})
    }
    static saveTemplate(data)
    {
        return API.post("",{params:{action:'savmtm'},data})
    }
    static  getTemplate(sf2temp_inr)
    {
        return API.post("",{params:{action:'getmtm',sf2temp_inr}})
    }
}
